Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Williams2014-09-23 01:39:13 +0000
committerDavid Williams2014-09-23 01:39:13 +0000
commit79ad059d4315f8c24a8eea913d794f6a545c1ea0 (patch)
treedeb79bdbe2904a705346cd04f4515af3f27d1ecf
parent3f691ca86ef128d506257b3a0a635a13ae796df4 (diff)
downloadeclipse.platform.releng.aggregator-79ad059d4315f8c24a8eea913d794f6a545c1ea0.tar.gz
eclipse.platform.releng.aggregator-79ad059d4315f8c24a8eea913d794f6a545c1ea0.tar.xz
eclipse.platform.releng.aggregator-79ad059d4315f8c24a8eea913d794f6a545c1ea0.zip
[releng] prep to promote Luna SR1
-rwxr-xr-xproduction/sdk/promoteStableRelease/promoteImpl/promoteDropSite.sh23
-rwxr-xr-xproduction/sdk/promoteStableRelease/promoteImpl/promoteDropSiteEq.sh17
-rw-r--r--production/sdk/promoteStableRelease/promoteImpl/promoteUtilities.shsource64
3 files changed, 73 insertions, 31 deletions
diff --git a/production/sdk/promoteStableRelease/promoteImpl/promoteDropSite.sh b/production/sdk/promoteStableRelease/promoteImpl/promoteDropSite.sh
index 2445c2b7e..654bf2227 100755
--- a/production/sdk/promoteStableRelease/promoteImpl/promoteDropSite.sh
+++ b/production/sdk/promoteStableRelease/promoteImpl/promoteDropSite.sh
@@ -30,9 +30,20 @@ printf "\n\t%s\n\t%s to \n\t%s\n" "Making backup copy of original ..." "$DROP_ID
rsync -ra ${DROP_ID}/ ${DROP_ID}ORIG
printf "\n\t%s\n" "Doing rename of original."
-# TODO: if ${DL_DROP_ID} already exists, we should remove it,
-# since basically means we are "re-running" the script after
-# running it once.
+
+# if DL_DROP_ID already exists, it is from a previous run we are re-doing, do,
+# we'll remove first, to make sure it's cleaning re-done.
+if [[ -d ${DL_DROP_ID} ]]
+then
+ rm -fr ${DL_DROP_ID}
+ RC=$?
+ if [[ $RC != 0 ]]
+ then
+ echo -e "/n/tERROR: Could not remove previous (failed) version of DL_DROP_ID, ${DL_DROP_ID}"
+ exit 1
+ fi
+fi
+
./renameBuild.sh ${DROP_ID} ${DL_DROP_ID} ${DL_LABEL}
printf "\n\t%s\n" "Moving backup copy back to original."
@@ -56,6 +67,12 @@ else
echo "HIDE_SITE value was ${HIDE_SITE}"
fi
+# as a matter of routine, turn "test color" to green, if not already
+touch ${DL_DROP_ID}/overrideTestColor
+
+# and turn on "news flag"
+touch ${DL_DROP_ID}/news
+
printf "\n\t%s\n" "rsync to downloads."
# Here we can rsync with committer id. For Equinox, we have to create a promotion file.
rsync --recursive --prune-empty-dirs --exclude="*apitoolingreference/*" --exclude="*org.eclipse.releng.basebuilder/*" --exclude="*eclipse.platform.releng.aggregator/*" --exclude="*repository/*" --exclude="*workspace-*/*" ${DL_DROP_ID} /home/data/httpd/download.eclipse.org/eclipse/downloads/drops4/
diff --git a/production/sdk/promoteStableRelease/promoteImpl/promoteDropSiteEq.sh b/production/sdk/promoteStableRelease/promoteImpl/promoteDropSiteEq.sh
index 9b10c5594..bc3a74b19 100755
--- a/production/sdk/promoteStableRelease/promoteImpl/promoteDropSiteEq.sh
+++ b/production/sdk/promoteStableRelease/promoteImpl/promoteDropSiteEq.sh
@@ -30,9 +30,20 @@ printf "\n\t%s\n\t%s to \n\t%s\n" "Making backup copy of original ..." "$DROP_ID
rsync -ra ${DROP_ID}/ ${DROP_ID}ORIG
printf "\n\t%s\n" "Doing rename of original."
-# TODO: if ${DL_DROP_ID} already exists, we should remove it,
-# since basically means we are "re-running" the script after
-# running it once.
+
+# if DL_DROP_ID already exists, it is from a previous run we are re-doing, do,
+# we'll remove first, to make sure it's cleaning re-done.
+if [[ -d ${DL_DROP_ID} ]]
+then
+ rm -fr ${DL_DROP_ID}
+ RC=$?
+ if [[ $RC != 0 ]]
+ then
+ echo -e "/n/tERROR: Could not remove previous (failed) version of DL_DROP_ID, ${DL_DROP_ID}"
+ exit 1
+ fi
+fi
+
./renameBuild.sh ${DROP_ID} ${DL_DROP_ID} ${DL_LABEL}
printf "\n\t%s\n" "Moving backup copy back to original."
diff --git a/production/sdk/promoteStableRelease/promoteImpl/promoteUtilities.shsource b/production/sdk/promoteStableRelease/promoteImpl/promoteUtilities.shsource
index b24387823..d2640ac01 100644
--- a/production/sdk/promoteStableRelease/promoteImpl/promoteUtilities.shsource
+++ b/production/sdk/promoteStableRelease/promoteImpl/promoteUtilities.shsource
@@ -9,42 +9,56 @@ function findEclipseExe ()
BUILD_ID=$1
- if [[ -z "${BUILD_ID}" ]]
- then
- echo "ERROR: this script, $BASH_SOURCE, requires BUILD_ID" 2>>${TRACE_LOG}
- return 1
- fi
+ if [[ -z "${BUILD_ID}" ]]
+ then
+ echo "ERROR: this script, $BASH_SOURCE, requires BUILD_ID" 2>>${TRACE_LOG}
+ return 1
+ fi
- BUILD_ROOT=${BUILD_ROOT:-/shared/eclipse/builds/4I}
+ BUILD_ROOT=${BUILD_ROOT:-/shared/eclipse/builds/4I}
basebuilderParent=${BUILD_ROOT}/siteDir/eclipse/downloads/drops4/${BUILD_ID}
if [[ ! -d "${basebuilderParent}" ]]
+ then
+ echo "ERROR: The directory did not exist. Must name existing directory where basebuilder is, or will be installed." 2>>${TRACE_LOG}
+ echo " basebuilderParent: ${basebuilderParent}" 2>>${TRACE_LOG}
+ return 1
+ fi
+
+ baseBuilderDir=${basebuilderParent}/org.eclipse.releng.basebuilder
+ if [[ ! -d "${baseBuilderDir}" ]]
+ then
+ echo "WARNING: The basebuilder directory did not exist as expected. Will re-create." 2>>${TRACE_LOG}
+ EBuilder="${BUILD_ROOT}/gitCache/eclipse.platform.releng.aggregator/eclipse.platform.releng.tychoeclipsebuilder"
+ # make sure that build repo still exists
+ if [[ ! -d ${EBuilder} ]]
then
- echo "ERROR: The directory did not exist. Must name existing directory where basebuilder is, or will be installed." 2>>${TRACE_LOG}
- echo " basebuilderParent: ${basebuilderParent}" 2>>${TRACE_LOG}
- return 1
+ echo "ERROR: the EBuilder directory no longer exists. Can no re-create automatically" 2>>${TRACE_LOG}
+ return 1
+ fi
+ # assume suitable ant in on path
+ ant -f $EBuilderDir/eclipse/getBaseBuilderAndTools.xml -DWORKSPACE=${BUILDMACHINE_BASE_DL}/${DROP_ID}
+ if [[ "$?" != 0 ]]
+ then
+ echo "ERROR: Ant failed while executing getBaseBuilderAndTools.xm" 2>>${TRACE_LOG}
+ return 1
fi
-
-# TODO: we could check basebuilder here and if not, install it?
-# but not required for immediate use case of using to composite repos.
-
- baseBuilderDir=${basebuilderParent}/org.eclipse.releng.basebuilder
if [[ ! -d "${baseBuilderDir}" ]]
- then
- echo "ERROR: The directory did not exist." 2>>${TRACE_LOG}
- echo " baseBuilderDir: ${baseBuilderDir}" 2>>${TRACE_LOG}
- return 1
+ then
+ echo "ERROR: The basebuilder directory could not be re-created." 2>>${TRACE_LOG}
fi
+ return 1
+ fi
- export ECLIPSE_EXE=$baseBuilderDir/eclipse
- echo "DEBUG: ECLIPSE_EXE: ${ECLIPSE_EXE}" 2>>${TRACE_LOG}
+ export ECLIPSE_EXE=$baseBuilderDir/eclipse
+ echo "DEBUG: ECLIPSE_EXE: ${ECLIPSE_EXE}" 2>>${TRACE_LOG}
if [[ -n ${ECLIPSE_EXE} && -x ${ECLIPSE_EXE} ]]
- then
- echo "Found Eclipse executable: ${ECLIPSE_EXE}" 2>>${TRACE_LOG}
+ then
+ echo "Found Eclipse executable: ${ECLIPSE_EXE}" 2>>${TRACE_LOG}
else
echo "ERROR: ECLIPSE_EXE is not defined to an executable eclipse" 2>>${TRACE_LOG}
- return 1
- fi
+ return 1
+ fi
- return 0
+ return 0
}

Back to the top